-- Copyright (C) RNMT.WWWW.fs-mod.3dn.ru

Ventilator = {};

function Ventilator.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Ventilator:load(xmlFile)
       self.Ventilator1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Ventilator1#index"));
end;

function Ventilator:delete()
end;

function Ventilator:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Ventilator:keyEvent(unicode, sym, modifier, isDown)
end;

function Ventilator:update(dt)
	if self.isMotorStarted then
         		rotate(self.Ventilator1, dt*0.05,0, 0, 0 );
	end;

end;

function Ventilator:draw()
end;

